ALAS-2012-108


Amazon Linux AMI Security Advisory: ALAS-2012-108
Advisory Release Date: 2014-09-14 16:45 Pacific
Severity: Medium

Issue Overview:

A flaw was found in the way the ASN.1 (Abstract Syntax Notation One) decoder in NSS handled zero length items. This flaw could cause the decoder to incorrectly skip or replace certain items with a default value, or could cause an application to crash if, for example, it received a specially-crafted OCSP (Online Certificate Status Protocol) response. (CVE-2012-0441 )


Affected Packages:

nss


Issue Correction:
Run yum update nss to update your system.

New Packages:
i686:
    nss-3.13.5-1.26.amzn1.i686
    nss-debuginfo-3.13.5-1.26.amzn1.i686
    nss-pkcs11-devel-3.13.5-1.26.amzn1.i686
    nss-devel-3.13.5-1.26.amzn1.i686
    nss-tools-3.13.5-1.26.amzn1.i686
    nss-sysinit-3.13.5-1.26.amzn1.i686

src:
    nss-3.13.5-1.26.amzn1.src

x86_64:
    nss-debuginfo-3.13.5-1.26.amzn1.x86_64
    nss-tools-3.13.5-1.26.amzn1.x86_64
    nss-sysinit-3.13.5-1.26.amzn1.x86_64
    nss-pkcs11-devel-3.13.5-1.26.amzn1.x86_64
    nss-devel-3.13.5-1.26.amzn1.x86_64
    nss-3.13.5-1.26.amzn1.x86_64